local hastreesitter, treesitter = pcall(require, "nvim-treesitter.configs")
if not hastreesitter then
    return
end

treesitter.setup({
    ensure_installed = { "cpp", "c", "lua", "vim", "dockerfile", "python", "java", "cmake", "diff", "gitcommit", "html", "css", "javascript", "json", "markdown", "rust", "sql", "yaml" },
    auto_install = true,
    highlight = {
        enable = true,
        disable = function(lang, buf) -- Disable if file size is too big
            if lang == "ini" then
                return true
            end
            local max_filesize = 2000 * 1024 -- 2MB
            local ok, stats = pcall(vim.loop.fs_stat, vim.api.nvim_buf_get_name(buf))
            if ok and stats and stats.size > max_filesize then
                return true
            end
        end,
    },
    indent = {
        enable = true
    },
    additional_vim_regex_highlighting = false,
})
